### Signal

# Gtk CheckButton::activate

since: 4.2

#### Declaration

    void
    activate (
      GtkCheckButton* self,
      gpointer user_data
    )

#### Description [src]

Emitted to when the check button is activated.

The `::activate` signal on `GtkCheckButton` is an action signal and emitting it causes the button to animate press then release.

Applications should never connect to this signal, but use the `GtkCheckButton::toggled` signal.

The default bindings for this signal are all forms of the `␣` and `Enter` keys.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.2